@import '_content/Microsoft.FluentUI.AspNetCore.Components/Microsoft.FluentUI.AspNetCore.Components.b6pgxrrsua.bundle.scp.css';

/* _content/PrimeHub/Common/Layout/Header.razor.rz.scp.css */
.header[b-4fejfcefxw] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

.header-hero[b-4fejfcefxw] {
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
    gap: 0.5rem;
}

.header img[b-4fejfcefxw] {
    width: 30px;
}

.header-menu[b-4fejfcefxw] {
    display: flex;
    flex-direction: row;
    justify-content: space-evenly;
    align-items: center;
    margin-left: auto;
    gap: 0.2rem;
}

.header-menu-item[b-4fejfcefxw] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}

    .header-menu-item span[b-4fejfcefxw] {
        margin-left: 0.5rem;
    }

/* _content/PrimeHub/Common/Layout/MainLayout.razor.rz.scp.css */
*[b-zvfk5rkm7e] {
    font-family: var(--body-font);
}

.page[b-zvfk5rkm7e] {
    display: flex;
    flex-direction: row;
    justify-content: start;
    width: 100%;
    overflow: hidden;
}

.content[b-zvfk5rkm7e] {
    width: 100%;
    height: calc(100vh - 50px);
    overflow: auto;
    padding: 0 1rem;
}

.login-content[b-zvfk5rkm7e] {
    width: 100%;
    height: 100vh;
    overflow: auto;
}

@media(max-width: 768px) {

}
/* _content/PrimeHub/Common/Layout/NavMenu.razor.rz.scp.css */
.nav-menu[b-quboivtzxj] {
    height: 100%;
    width: 300px;
    padding: 0.5rem;
}

.toggle-button[b-quboivtzxj] {
    display: none;
    width: 50px;

}


@media(max-width: 768px) {
    .toggle-button[b-quboivtzxj] {
        display: block;
        position: fixed;
        top: 8px;
        z-index: 99999; /* large value so it appears on top */
        right: 8px;
    }

    .hide[b-quboivtzxj] {
        display: none !important;
    }

    .nav-menu[b-quboivtzxj] {
        position: fixed; /* best for a full-screen overlay */
        inset: 0; /* shorthand for top:0; right:0; bottom:0; left:0; */
        width: 100%; /* optional when using inset:0 */
        box-sizing: border-box; /* ensures padding doesn't affect width */
        height: 100vh; /* optional when using inset:0 */
        z-index: 99999; /* large value so it appears on top */
        background-color: white; /* or any other background color */
        top: 50px;
    }

    .nav-menu-overlay[b-quboivtzxj] {
        background: rgba(0,0,0,0.6); /* optional overlay */
        height: 100%;
        width: 100vw;
    }

    .show[b-quboivtzxj] {
        display: block !important;
    }
}
/* _content/PrimeHub/Features/TimeTracking/TimeTracking.razor.rz.scp.css */
body[b-03v3xmgw3g] {
}
.ponto[b-03v3xmgw3g]{
    padding: 1rem;
}

.ponto-header[b-03v3xmgw3g]{
    display:flex;
    flex-direction:row;
    justify-content: space-between;
    padding-right: 0.5rem;
    margin-bottom: 1rem;
    align-items: center;
}

.ponto-header-buttons[b-03v3xmgw3g] {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.ponto h1[b-03v3xmgw3g], h3[b-03v3xmgw3g] {
    margin: 0;
}

.ponto-row[b-03v3xmgw3g]{
    display: flex;
    flex-direction: row;
    justify-content: start;
    align-items: center;
}

input[b-03v3xmgw3g] {
    font-size: 16px;
    color: transparent; /* Hide text */
}

    input[b-03v3xmgw3g]::file-selector-button {
        background-color: blue !important;
        color: white;
        border: none;
        padding: 8px 12px;
        cursor: pointer;
        border-radius: 5px;
    }

        input[type="file"][b-03v3xmgw3g]::file-selector-button:hover {
            background-color: #005A9E;
        }

    .ponto-input-cell[b-03v3xmgw3g]{
        width: 100%;
        display: flex;
        justify-content: start;
        flex-direction: row;
        align-items: center;
        height:100%;      
    }

    .ponto-error[b-03v3xmgw3g]{
        display: flex;
        flex-direction: row;
        justify-content: start;
        align-items: center;
        padding: 1rem 0;
    }

.ponto-error-icon[b-03v3xmgw3g] {
    width: 32px;
    height: 32px;
    padding: 4px;
}
